Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/ArrayExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/ArrayExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/ArrayExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/CancelEventArgs.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/CancelEventArgs.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/CancelEventArgs.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Cloner.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Cloner.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Cloner.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/ColorGradient.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/ColorGradient.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/ColorGradient.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Constants.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Constants.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Constants.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/ContentManager.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/ContentManager.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/ContentManager.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/IContent.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/IContent.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/IContent.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/IStorableContent.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/IStorableContent.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Content/IStorableContent.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/DeepCloneable.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/DeepCloneable.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/DeepCloneable.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/DoubleExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/DoubleExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/DoubleExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/EnumerableExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/EnumerableExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/EnumerableExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -87,4 +87,15 @@
       return result;
     }
+
+    /// <summary>
+    /// Compute the n-ary cartesian product of arbitrarily many sequences: http://blogs.msdn.com/b/ericlippert/archive/2010/06/28/computing-a-cartesian-product-with-linq.aspx
+    /// </summary>
+    /// <typeparam name="T">The type of the elements inside each sequence</typeparam>
+    /// <param name="sequences">The collection of sequences</param>
+    /// <returns>An enumerable sequence of all the possible combinations of elements</returns>
+    public static IEnumerable<IEnumerable<T>> CartesianProduct<T>(this IEnumerable<IEnumerable<T>> sequences) {
+      IEnumerable<IEnumerable<T>> result = new[] { Enumerable.Empty<T>() };
+      return sequences.Where(s => s.Any()).Aggregate(result, (current, s) => (from seq in current from item in s select seq.Concat(new[] { item })));
+    }
   }
 }
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/EnumerableStatisticExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/EnumerableStatisticExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/EnumerableStatisticExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/EventArgs.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/EventArgs.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/EventArgs.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/IDeepCloneable.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/IDeepCloneable.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/IDeepCloneable.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/ListExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/ListExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/ListExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/MatrixExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/MatrixExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/MatrixExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/NaturalStringComparer.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/NaturalStringComparer.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/NaturalStringComparer.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/ObjectExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/ObjectExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/ObjectExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Plugin.cs.frame
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Plugin.cs.frame	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Plugin.cs.frame	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
   /// Plugin class for HeuristicLab.Common plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Common", "3.3.9.$WCREV$")]
+  [Plugin("HeuristicLab.Common", "3.3.10.$WCREV$")]
   [PluginFile("HeuristicLab.Common-3.3.dll", PluginFileType.Assembly)]
   public class HeuristicLabCommonPlugin : PluginBase {
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Point2D.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Point2D.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Point2D.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/Properties/AssemblyInfo.cs.frame	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/Properties/AssemblyInfo.cs.frame	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2013 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.9.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/ReferenceEqualityComparer.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/TimeSpanHelper.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/TimeSpanHelper.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/TimeSpanHelper.cs	(revision 11576)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/TypeEqualityComparer.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/TypeEqualityComparer.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/TypeEqualityComparer.cs	(revision 11576)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/OptimizationNetworks/HeuristicLab.Common/3.3/TypeExtensions.cs
===================================================================
--- branches/OptimizationNetworks/HeuristicLab.Common/3.3/TypeExtensions.cs	(revision 11062)
+++ branches/OptimizationNetworks/HeuristicLab.Common/3.3/TypeExtensions.cs	(revision 11576)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
